Page MenuHome

Update Recast version to 1.5.0
ClosedPublic

Authored by rdb (rdb) on Jan 27 2016, 1:01 PM.

Details

Summary

The version of Recast that Blender ships with is from 2009. This patch updates the Recast version to the latest version, 1.5.0. The Detour version remains untouched.

Diff Detail

Repository
rB Blender

Event Timeline

rdb (rdb) updated this revision to Diff 5910.Jan 27 2016, 1:01 PM
rdb (rdb) retitled this revision from to Update Recast version to 1.5.0.
rdb (rdb) updated this object.
rdb (rdb) set the repository for this revision to rB Blender.
rdb (rdb) added a project: BF Blender.

As discussed on IRC, I'd like to see a file describing what versions the different libraries are at. It would also be nice to know any modifications (e.g., the inclusion of a C API) that needed to be made to the libraries so that those modifications can be re-applied in future updates as well.

This type of change is probably best suited for BCon1, and we are currently in BCon3. As long as Campbell doesn't object and the earlier mentioned file is added, I am okay with landing this patch the next time we hit BCon1. Since, from what I can tell, this isn't a heavily used feature, we may be able to squeeze this in during BCon3, but that would require an okay from Campbell.

rdb (rdb) updated this revision to Diff 5922.Jan 28 2016, 10:59 PM
rdb (rdb) updated this object.
rdb (rdb) edited edge metadata.

OK, there's now a custom readme that includes the versions used of both Recast and Detour plus the changes from the original libraries.

Mitchell Stokes (moguri) edited edge metadata.

Looks good to me.

This revision is now accepted and ready to land.Feb 4 2016, 6:54 PM
This revision was automatically updated to reflect the committed changes.